#!/bin/sh 

cd sample_files_for_batch_test

for F in *.he5
do
	echo "Augment $F..."
	../../src/aug_eos5 $F >& /dev/null
	if [ "$?" -ne "0" ]
	then
		echo "FAILED"
		exit 1
	fi
	echo "Compare $F..."
	h5diff -q $F ./augmented_files/$F 
	if [ "$?" -ne "0" ]
	then
		echo "FAILED"
		exit 1
	fi
	echo "OK"


done

cd ..


